# SourcePath: pulseaudio/20190628dev
Summary:Pulseaudio is a sound server for Linux and Unix-like operating systems 
Name: sony-target-dev-pulseaudio
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-pulseaudio
Version: 11.1
Release: 14020101
License: GPLv2+, LGPLv2.1
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Patch1: license_change_to_LGPL_v2_1.patch
Group: %{sony_group}
URL: https://launchpad.net/ubuntu/+source/pulseaudio/1:11.1-1ubuntu7.2
Source0: pulseaudio-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: %{sony_target_dir}

%description
Pulseaudio is a sound server for Linux and Unix-like operating systems.

%package -n %{pkgname}
Summary: Pulseaudio is a sound server for Linux and Unix-like operating systems.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Pulseaudio is a sound server for Linux and Unix-like operating systems.
%prep
%setup -n pulseaudio-%{version}
%patch1 -p1
%build
%sony_target_dev_setup
%{sony_host_dir}/bin/aclocal -I $ACLOCAL_PATH --force -I m4 && libtoolize --force --copy && \
%{sony_host_dir}/bin/automake --foreign --add-missing --copy --force-missing || exit 1
%sony_target_dev_configure --disable-bluez4 --disable-bluez5 --disable-rpath --enable-alsa --with-access-group=audio --with-database=simple
make


%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall


rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man

# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done


%demangle_libtool

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_devtool_include_dir}/pulse/*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/libpulse-mainloop-glib.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/libpulse-simple.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/libpulse.pc
%{sony_target_dir}%{sony_target_dev_bin_dir}/esdcompat
%{sony_target_dir}%{sony_target_dev_bin_dir}/pacat
%{sony_target_dir}%{sony_target_dev_bin_dir}/pacmd
%{sony_target_dir}%{sony_target_dev_bin_dir}/pactl
%{sony_target_dir}%{sony_target_dev_bin_dir}/padsp
%{sony_target_dir}%{sony_target_dev_bin_dir}/pamon
%{sony_target_dir}%{sony_target_dev_bin_dir}/paplay
%{sony_target_dir}%{sony_target_dev_bin_dir}/parec
%{sony_target_dir}%{sony_target_dev_bin_dir}/parecord
%{sony_target_dir}%{sony_target_dev_bin_dir}/pasuspender
%{sony_target_dir}%{sony_target_dev_bin_dir}/pulseaudio
%{sony_target_dir}%{sony_target_dev_prefix}/etc/pulse/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/cmake/PulseAudio/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpulse-*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpulse.*
%{sony_target_dir}%{sony_target_dev_lib_dir}/pulse-11.1/modules/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/pulseaudio/*
%{sony_target_dir}%{sony_target_dev_data_dir}/pulseaudio/*
%{sony_target_dir}/lib/udev/rules.d/90-pulseaudio.rules
%{sony_target_dir}%{sony_target_dev_data_dir}/bash-completion/completions/pacat
%{sony_target_dir}%{sony_target_dev_data_dir}/bash-completion/completions/pacmd
%{sony_target_dir}%{sony_target_dev_data_dir}/bash-completion/completions/pactl
%{sony_target_dir}%{sony_target_dev_data_dir}/bash-completion/completions/padsp
%{sony_target_dir}%{sony_target_dev_data_dir}/bash-completion/completions/paplay
%{sony_target_dir}%{sony_target_dev_data_dir}/bash-completion/completions/parec
%{sony_target_dir}%{sony_target_dev_data_dir}/bash-completion/completions/parecord
%{sony_target_dir}%{sony_target_dev_data_dir}/bash-completion/completions/pasuspender
%{sony_target_dir}%{sony_target_dev_data_dir}/bash-completion/completions/pulseaudio
%{sony_target_dir}%{sony_target_dev_data_dir}/vala/vapi/*
%{sony_target_dir}%{sony_target_dev_data_dir}/zsh/site-functions/_pulseaudio


%changelog
* Mon May 31 2021 Sony Group Corporation
- Initial build for 14.2.1.0

* Wed Sep 24 2019 Sony Corporation
- Added license change patch 
- Added -with-database=simple option

* Fri Jun 28 2019 Sony Corporation
- Initial build
